package com.brilliance.util;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;

import java.io.IOException;
import java.io.InputStream;

public class DbCommonUtil {

    private  static    String resource = "mybatis-config.xml";

    public static SqlSession getSqlSession() throws IOException {
        InputStream inputStream = Resources.getResourceAsStream(resource);
        SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
        // sqlSessionFactory.getConfiguration().addMapper(MpsMapper.class);
        //2. 获取SqlSession对象，用它来执行sql
        SqlSession openSession = sqlSessionFactory.openSession();
        return  openSession;
    }

    public static void    close(SqlSession sqlSession){
        if(sqlSession==null)
            return ;
        sqlSession.close();
    }
}
