package com.brilliance.vo;

import lombok.Data;

/**
 * @Description
 * @Author gechengyang
 * @Date 2023/10/23
 */
@Data
public class Result {
    private String code = "success";

    private String msg = "请求成功";

    private Object data;

    public Result() {
    }

    public Result(Object data) {
        this.data = data;
    }

    public Result(String code, String msg, Object data) {
        this.code = code;
        this.msg = msg;
        this.data = data;
    }
}
