package com.brilliance.test;

import com.alibaba.druid.pool.DruidDataSource;
import com.brilliance.entity.*;
import com.brilliance.mapper.SmhMapper;
import com.brilliance.util.DbCommonUtil;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.handlers.BeanHandler;
import org.apache.commons.dbutils.handlers.BeanListHandler;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.jupiter.api.Test;

import java.io.InputStream;
import java.sql.SQLException;
import java.util.List;

public class MybatisTest {

    @Test
    public void test_dbUtil() throws SQLException {

         //1、创建数据源（数据库连接池）对象
        DruidDataSource ds =new DruidDataSource();

        //2、设置参数
        //(1)设置基本参数
        ds.setDriverClassName("oracle.jdbc.OracleDriver");
        ds.setUrl("jdbc:oracle:thin:@192.168.0.110:1524:XE");
        ds.setUsername("ncb_gj");
        ds.setPassword("ncb_gj");
        ds.setInitialSize(5);//一开始提前申请好5个连接，不够了，重写申请
        ds.setMaxActive(10);//最多不超过10个，如果10都用完了，还没还回来，就会出现等待
        ds.setMaxWait(1000);//用户最多等1000毫秒，如果1000毫秒还没有人还回来，就异常了

        QueryRunner queryRunner=new QueryRunner(ds);

        String sql = "SELECT * FROM clsmsg";
        List<Clsmsg> clsMsgList = queryRunner.query(sql, new BeanListHandler<>(Clsmsg.class));
        System.out.println("clsMsgList==="+clsMsgList);

        sql="select * from clsmsg where inr='00000007'";
        Clsmsg clsmsg = queryRunner.query(sql, new BeanHandler<>(Clsmsg.class));
        System.out.println(clsmsg.getSrc());


    }

    @Test
    public void test_annotation() throws Exception {
        /*String resource = "mybatis-config-annotation.xml";
        InputStream inputStream = Resources.getResourceAsStream(resource);
        SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
        // sqlSessionFactory.getConfiguration().addMapper(MpsMapper.class);
        //2. 获取SqlSession对象，用它来执行sql
        SqlSession openSession = sqlSessionFactory.openSession();
        SmhMapper smhMapper = openSession.getMapper(SmhMapper.class);
        Smh smh = smhMapper.selectSmh("00001074");
        System.out.println(smh.getDattim());
        System.out.println(smh.getInr());
        Smh smh1=new Smh();
        smh1.setInr("TESTINR1");
        smh1.setCrtfrm("TTT");
        //smh1.setDattim(new Date());
        int insert = smhMapper.insert(smh1);
        System.out.println("insert==="+insert);
        openSession.commit();
        openSession.close();*/
    }

    @Test
    public void test() throws Exception {
      /*  String resource = "mybatis-config.xml";
        InputStream inputStream = Resources.getResourceAsStream(resource);
        SqlSessionFactory sqlSessionFactory = new SqlSessionFactoryBuilder().build(inputStream);
        // sqlSessionFactory.getConfiguration().addMapper(MpsMapper.class);
        //2. 获取SqlSession对象，用它来执行sql
        SqlSession openSession = sqlSessionFactory.openSession();
        MpsMapper mpsMapper = openSession.getMapper(MpsMapper.class);
        int cnt = mpsMapper.counterMps(">");
        System.out.println("cnt="+cnt);
        openSession.close();*/
    }

    @Test
    public void test2() throws Exception {

       /* SqlSession openSession = DbCommonUtil.getSqlSession();
        MpsMapper mpsMapper = openSession.getMapper(MpsMapper.class);
        int cnt = mpsMapper.counterMps(">");
        Mps mps = mpsMapper.selectByPrimaryKey("00000972");
        System.out.println(mps.getLstdattim());
        System.out.println("cnt="+cnt);

        MpiMapper mpiMapper = openSession.getMapper(MpiMapper.class);
        Mpi mpi = mpiMapper.getMpi("CFIX2022080100000901", "<");
        System.out.println(mpi.getInr());

        LckMapper lckMapper=openSession.getMapper(LckMapper.class);
        Lck lck = lckMapper.selectLck("bgUser4", "mps00001421");
        if(lck!=null) {
            System.out.println(lck.getDattim());
        }

        DbCommonUtil.close(openSession);*/
    }
}
